org.eclipse.graphiti.mm.pictograms.impl

## Class PictogramElementImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.impl.PropertyContainerImpl
        - - org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
          - - org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GraphicsAlgorithmContainer, PictogramElement, PropertyContainer

Direct Known Subclasses:
  AnchorContainerImpl, AnchorImpl

    public abstract class PictogramElementImpl
    extends GraphicsAlgorithmContainerImpl
    implements PictogramElement

An implementation of the model object 'Pictogram Element'.

The following features are implemented:

- `Visible`
- `Graphics Algorithm`
- `Active`
- `Link`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`GraphicsAlgorithm` `basicGetGraphicsAlgorithm()`
`PictogramLink` `basicGetLink()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetGraphicsAlgorithm(GraphicsAlgorithm newGraphicsAlgorithm, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetLink(PictogramLink newLink, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`void` `eUnset(int featureID)`
`GraphicsAlgorithm` `getGraphicsAlgorithm()`
`PictogramLink` `getLink()`
`boolean` `isActive()`
`boolean` `isVisible()`
`void` `setActive(boolean newActive)`
`void` `setGraphicsAlgorithm(GraphicsAlgorithm newGraphicsAlgorithm)`
`void` `setLink(PictogramLink newLink)`
`void` `setVisible(boolean newVisible)`
`String` `toString()`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### isVisible

    public boolean isVisible()

Specified by:
  `isVisible` in interface `PictogramElement`
Returns:
  the value of the 'Visible' attribute.
See Also:
  `PictogramElement.setVisible(boolean)`, `PictogramsPackage.getPictogramElement_Visible()`

#### setVisible

    public void setVisible(boolean newVisible)

Specified by:
  `setVisible` in interface `PictogramElement`
Parameters:
  `newVisible` - the new value of the 'Visible' attribute.
See Also:
  `PictogramElement.isVisible()`

#### getGraphicsAlgorithm

    public GraphicsAlgorithm getGraphicsAlgorithm()

Specified by:
  `getGraphicsAlgorithm` in interface `PictogramElement`
Returns:
  the value of the 'Graphics Algorithm' containment reference.
See Also:
  `PictogramElement.setGraphicsAlgorithm(GraphicsAlgorithm)`, `PictogramsPackage.getPictogramElement_GraphicsAlgorithm()`, `GraphicsAlgorithm.getPictogramElement()`

#### basicGetGraphicsAlgorithm

    public GraphicsAlgorithm basicGetGraphicsAlgorithm()

#### basicSetGraphicsAlgorithm

    public org.eclipse.emf.common.notify.NotificationChain basicSetGraphicsAlgorithm(GraphicsAlgorithm newGraphicsAlgorithm,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

#### setGraphicsAlgorithm

    public void setGraphicsAlgorithm(GraphicsAlgorithm newGraphicsAlgorithm)

Specified by:
  `setGraphicsAlgorithm` in interface `PictogramElement`
Parameters:
  `newGraphicsAlgorithm` - the new value of the 'Graphics Algorithm' containment reference.
See Also:
  `PictogramElement.getGraphicsAlgorithm()`

#### isActive

    public boolean isActive()

Specified by:
  `isActive` in interface `PictogramElement`
Returns:
  the value of the 'Active' attribute.
See Also:
  `PictogramElement.setActive(boolean)`, `PictogramsPackage.getPictogramElement_Active()`

#### setActive

    public void setActive(boolean newActive)

Specified by:
  `setActive` in interface `PictogramElement`
Parameters:
  `newActive` - the new value of the 'Active' attribute.
See Also:
  `PictogramElement.isActive()`

#### getLink

    public PictogramLink getLink()

Specified by:
  `getLink` in interface `PictogramElement`
Returns:
  the value of the 'Link' containment reference.
See Also:
  `PictogramElement.setLink(PictogramLink)`, `PictogramsPackage.getPictogramElement_Link()`, `PictogramLink.getPictogramElement()`

#### basicGetLink

    public PictogramLink basicGetLink()

#### basicSetLink

    public org.eclipse.emf.common.notify.NotificationChain basicSetLink(PictogramLink newLink,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

#### setLink

    public void setLink(PictogramLink newLink)

Specified by:
  `setLink` in interface `PictogramElement`
Parameters:
  `newLink` - the new value of the 'Link' containment reference.
See Also:
  `PictogramElement.getLink()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `PropertyContainerImpl`

#### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `PropertyContainerImpl`

#### eSet

    public void eSet(int featureID,
                     Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `PropertyContainerImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `PropertyContainerImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `PropertyContainerImpl`

#### toString

    public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`